diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-comments.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-comments.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-comments.php	2012-10-23 08:37:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-comments.php	2013-05-08 19:22:02.000000000 -0500
***************
*** 20,28 ****
  	check_admin_referer( 'bulk-comments' );
  
  	if ( 'delete_all' == $doaction && !empty( $_REQUEST['pagegen_timestamp'] ) ) {
! 		$comment_status = $wpdb->escape( $_REQUEST['comment_status'] );
! 		$delete_time = $wpdb->escape( $_REQUEST['pagegen_timestamp'] );
! 		$comment_ids = $wpdb->get_col( "SELECT comment_ID FROM $wpdb->comments WHERE comment_approved = '$comment_status' AND '$delete_time' > comment_date_gmt" );
  		$doaction = 'delete';
  	} elseif ( isset( $_REQUEST['delete_comments'] ) ) {
  		$comment_ids = $_REQUEST['delete_comments'];
--- 20,28 ----
  	check_admin_referer( 'bulk-comments' );
  
  	if ( 'delete_all' == $doaction && !empty( $_REQUEST['pagegen_timestamp'] ) ) {
! 		$comment_status = wp_unslash( $_REQUEST['comment_status'] );
! 		$delete_time = wp_unslash( $_REQUEST['pagegen_timestamp'] );
! 		$comment_ids = $wpdb->get_col( $wpdb->prepare( "SELECT comment_ID FROM $wpdb->comments WHERE comment_approved = %s AND %s > comment_date_gmt", $comment_status, $delete_time ) );
  		$doaction = 'delete';
  	} elseif ( isset( $_REQUEST['delete_comments'] ) ) {
  		$comment_ids = $_REQUEST['delete_comments'];
***************
*** 95,101 ****
  	wp_safe_redirect( $redirect_to );
  	exit;
  } elseif ( ! empty( $_GET['_wp_http_referer'] ) ) {
! 	 wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce' ), stripslashes( $_SERVER['REQUEST_URI'] ) ) );
  	 exit;
  }
  
--- 95,101 ----
  	wp_safe_redirect( $redirect_to );
  	exit;
  } elseif ( ! empty( $_GET['_wp_http_referer'] ) ) {
! 	 wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce' ), wp_unslash( $_SERVER['REQUEST_URI'] ) ) );
  	 exit;
  }
  
***************
*** 105,111 ****
  enqueue_comment_hotkeys_js();
  
  if ( $post_id )
! 	$title = sprintf(__('Comments on &#8220;%s&#8221;'), wp_html_excerpt(_draft_or_post_title($post_id), 50));
  else
  	$title = __('Comments');
  
--- 105,111 ----
  enqueue_comment_hotkeys_js();
  
  if ( $post_id )
! 	$title = sprintf( __( 'Comments on &#8220;%s&#8221;' ), wp_html_excerpt( _draft_or_post_title( $post_id ), 50, '&hellip;' ) );
  else
  	$title = __('Comments');
  
***************
*** 143,159 ****
  <?php screen_icon(); ?>
  <h2><?php
  if ( $post_id )
! 	echo sprintf(__('Comments on &#8220;%s&#8221;'),
! 		sprintf('<a href="%s">%s</a>',
! 			get_edit_post_link($post_id),
! 			wp_html_excerpt(_draft_or_post_title($post_id), 50)
  		)
  	);
  else
  	echo __('Comments');
  
  if ( isset($_REQUEST['s']) && $_REQUEST['s'] )
! 	printf( '<span class="subtitle">' . sprintf( __( 'Search results for &#8220;%s&#8221;' ), wp_html_excerpt( esc_html( stripslashes( $_REQUEST['s'] ) ), 50 ) ) . '</span>' ); ?>
  </h2>
  
  <?php
--- 143,159 ----
  <?php screen_icon(); ?>
  <h2><?php
  if ( $post_id )
! 	echo sprintf( __( 'Comments on &#8220;%s&#8221;' ),
! 		sprintf( '<a href="%s">%s</a>',
! 			get_edit_post_link( $post_id ),
! 			wp_html_excerpt( _draft_or_post_title( $post_id ), 50, '&hellip;' )
  		)
  	);
  else
  	echo __('Comments');
  
  if ( isset($_REQUEST['s']) && $_REQUEST['s'] )
! 	printf( '<span class="subtitle">' . sprintf( __( 'Search results for &#8220;%s&#8221;' ), wp_html_excerpt( esc_html( wp_unslash( $_REQUEST['s'] ) ), 50, '&hellip;' ) ) . '</span>' ); ?>
  </h2>
  
  <?php
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-form-advanced.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-form-advanced.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-form-advanced.php	2013-06-20 21:50:58.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-form-advanced.php	2013-08-01 12:08:24.000000000 -0500
***************
*** 29,34 ****
--- 29,37 ----
  	wp_enqueue_media( array( 'post' => $post_ID ) );
  }
  
+ // Add the local autosave notice HTML
+ add_action( 'admin_footer', '_local_storage_notice' );
+ 
  $messages = array();
  $messages['post'] = array(
  	 0 => '', // Unused. Messages start at index 1.
***************
*** 95,100 ****
--- 98,106 ----
  			break;
  		}
  	}
+ 	// If this autosave isn't different from the current post, begone.
+ 	if ( ! $notice )
+ 		wp_delete_post_revision( $autosave->ID );
  	unset($autosave_field, $_autosave_field);
  }
  
***************
*** 103,115 ****
  // All meta boxes should be defined and added before the first do_meta_boxes() call (or potentially during the do_meta_boxes action).
  require_once('./includes/meta-boxes.php');
  
  if ( 'attachment' == $post_type ) {
  	wp_enqueue_script( 'image-edit' );
  	wp_enqueue_style( 'imgareaselect' );
  	add_meta_box( 'submitdiv', __('Save'), 'attachment_submit_meta_box', null, 'side', 'core' );
  	add_action( 'edit_form_after_title', 'edit_form_image_editor' );
  } else {
! 	add_meta_box( 'submitdiv', __( 'Publish' ), 'post_submit_meta_box', null, 'side', 'core' );
  }
  
  if ( current_theme_supports( 'post-formats' ) && post_type_supports( $post_type, 'post-formats' ) )
--- 109,138 ----
  // All meta boxes should be defined and added before the first do_meta_boxes() call (or potentially during the do_meta_boxes action).
  require_once('./includes/meta-boxes.php');
  
+ 
+ $publish_callback_args = null;
+ if ( post_type_supports($post_type, 'revisions') && 'auto-draft' != $post->post_status ) {
+ 	$revisions = wp_get_post_revisions( $post_ID );
+ 
+ 	// Check if the revisions have been upgraded
+ 	if ( ! empty( $revisions ) && _wp_get_post_revision_version( end( $revisions ) ) < 1 )
+ 		_wp_upgrade_revisions_of_post( $post, $revisions );
+ 
+ 	// We should aim to show the revisions metabox only when there are revisions.
+ 	if ( count( $revisions ) > 1 ) {
+ 		reset( $revisions ); // Reset pointer for key()
+ 		$publish_callback_args = array( 'revisions_count' => count( $revisions ), 'revision_id' => key( $revisions ) );
+ 		add_meta_box('revisionsdiv', __('Revisions'), 'post_revisions_meta_box', null, 'normal', 'core');
+ 	}
+ }
+ 
  if ( 'attachment' == $post_type ) {
  	wp_enqueue_script( 'image-edit' );
  	wp_enqueue_style( 'imgareaselect' );
  	add_meta_box( 'submitdiv', __('Save'), 'attachment_submit_meta_box', null, 'side', 'core' );
  	add_action( 'edit_form_after_title', 'edit_form_image_editor' );
  } else {
! 	add_meta_box( 'submitdiv', __( 'Publish' ), 'post_submit_meta_box', null, 'side', 'core', $publish_callback_args );
  }
  
  if ( current_theme_supports( 'post-formats' ) && post_type_supports( $post_type, 'post-formats' ) )
***************
*** 132,139 ****
  if ( post_type_supports($post_type, 'page-attributes') )
  	add_meta_box('pageparentdiv', 'page' == $post_type ? __('Page Attributes') : __('Attributes'), 'page_attributes_meta_box', null, 'side', 'core');
  
! if ( current_theme_supports( 'post-thumbnails', $post_type ) && post_type_supports( $post_type, 'thumbnail' ) )
! 		add_meta_box('postimagediv', __('Featured Image'), 'post_thumbnail_meta_box', null, 'side', 'low');
  
  if ( post_type_supports($post_type, 'excerpt') )
  	add_meta_box('postexcerpt', __('Excerpt'), 'post_excerpt_meta_box', null, 'normal', 'core');
--- 155,169 ----
  if ( post_type_supports($post_type, 'page-attributes') )
  	add_meta_box('pageparentdiv', 'page' == $post_type ? __('Page Attributes') : __('Attributes'), 'page_attributes_meta_box', null, 'side', 'core');
  
! $audio_post_support = $video_post_support = false;
! $theme_support = current_theme_supports( 'post-thumbnails', $post_type ) && post_type_supports( $post_type, 'thumbnail' );
! if ( 'attachment' === $post_type && ! empty( $post->post_mime_type ) ) {
! 	$audio_post_support = 0 === strpos( $post->post_mime_type, 'audio/' ) && current_theme_supports( 'post-thumbnails', 'attachment:audio' ) && post_type_supports( 'attachment:audio', 'thumbnail' );
! 	$video_post_support = 0 === strpos( $post->post_mime_type, 'video/' ) && current_theme_supports( 'post-thumbnails', 'attachment:video' ) && post_type_supports( 'attachment:video', 'thumbnail' );
! }
! 
! if ( $theme_support || $audio_post_support || $video_post_support )
! 	add_meta_box('postimagediv', __('Featured Image'), 'post_thumbnail_meta_box', null, 'side', 'low');
  
  if ( post_type_supports($post_type, 'excerpt') )
  	add_meta_box('postexcerpt', __('Excerpt'), 'post_excerpt_meta_box', null, 'normal', 'core');
***************
*** 159,167 ****
  		add_meta_box('authordiv', __('Author'), 'post_author_meta_box', null, 'normal', 'core');
  }
  
- if ( post_type_supports($post_type, 'revisions') && 0 < $post_ID && wp_get_post_revisions( $post_ID ) )
- 	add_meta_box('revisionsdiv', __('Revisions'), 'post_revisions_meta_box', null, 'normal', 'core');
- 
  do_action('add_meta_boxes', $post_type, $post);
  do_action('add_meta_boxes_' . $post_type, $post);
  
--- 189,194 ----
***************
*** 291,301 ****
  	echo ' <a href="' . esc_url( $post_new_file ) . '" class="add-new-h2">' . esc_html( $post_type_object->labels->add_new ) . '</a>';
  ?></h2>
  <?php if ( $notice ) : ?>
! <div id="notice" class="error"><p><?php echo $notice ?></p></div>
  <?php endif; ?>
  <?php if ( $message ) : ?>
  <div id="message" class="updated"><p><?php echo $message; ?></p></div>
  <?php endif; ?>
  <form name="post" action="post.php" method="post" id="post"<?php do_action('post_edit_form_tag', $post); ?>>
  <?php wp_nonce_field($nonce_action); ?>
  <input type="hidden" id="user-id" name="user_ID" value="<?php echo (int) $user_ID ?>" />
--- 318,334 ----
  	echo ' <a href="' . esc_url( $post_new_file ) . '" class="add-new-h2">' . esc_html( $post_type_object->labels->add_new ) . '</a>';
  ?></h2>
  <?php if ( $notice ) : ?>
! <div id="notice" class="error"><p id="has-newer-autosave"><?php echo $notice ?></p></div>
  <?php endif; ?>
  <?php if ( $message ) : ?>
  <div id="message" class="updated"><p><?php echo $message; ?></p></div>
  <?php endif; ?>
+ <div id="lost-connection-notice" class="error hidden">
+ 	<p><span class="spinner"></span> <?php _e( '<strong>Connection lost.</strong> Saving has been disabled until you&#8217;re reconnected.' ); ?>
+ 	<span class="hide-if-no-sessionstorage"><?php _e( 'We&#8217;re backing up this post in your browser, just in case.' ); ?></span>
+ 	</p>
+ </div>
+ 
  <form name="post" action="post.php" method="post" id="post"<?php do_action('post_edit_form_tag', $post); ?>>
  <?php wp_nonce_field($nonce_action); ?>
  <input type="hidden" id="user-id" name="user_ID" value="<?php echo (int) $user_ID ?>" />
***************
*** 304,310 ****
  <input type="hidden" id="post_author" name="post_author" value="<?php echo esc_attr( $post->post_author ); ?>" />
  <input type="hidden" id="post_type" name="post_type" value="<?php echo esc_attr( $post_type ) ?>" />
  <input type="hidden" id="original_post_status" name="original_post_status" value="<?php echo esc_attr( $post->post_status) ?>" />
! <input type="hidden" id="referredby" name="referredby" value="<?php echo esc_url(stripslashes(wp_get_referer())); ?>" />
  <?php if ( ! empty( $active_post_lock ) ) { ?>
  <input type="hidden" id="active_post_lock" value="<?php echo esc_attr( implode( ':', $active_post_lock ) ); ?>" />
  <?php
--- 337,343 ----
  <input type="hidden" id="post_author" name="post_author" value="<?php echo esc_attr( $post->post_author ); ?>" />
  <input type="hidden" id="post_type" name="post_type" value="<?php echo esc_attr( $post_type ) ?>" />
  <input type="hidden" id="original_post_status" name="original_post_status" value="<?php echo esc_attr( $post->post_status) ?>" />
! <input type="hidden" id="referredby" name="referredby" value="<?php echo esc_url(wp_get_referer()); ?>" />
  <?php if ( ! empty( $active_post_lock ) ) { ?>
  <input type="hidden" id="active_post_lock" value="<?php echo esc_attr( implode( ':', $active_post_lock ) ); ?>" />
  <?php
***************
*** 336,345 ****
  if ( !empty($shortlink) )
      $sample_permalink_html .= '<input id="shortlink" type="hidden" value="' . esc_attr($shortlink) . '" /><a href="#" class="button button-small" onclick="prompt(&#39;URL:&#39;, jQuery(\'#shortlink\').val()); return false;">' . __('Get Shortlink') . '</a>';
  
! if ( $post_type_object->public && ! ( 'pending' == get_post_status( $post ) && !current_user_can( $post_type_object->cap->publish_posts ) ) ) { ?>
  	<div id="edit-slug-box" class="hide-if-no-js">
  	<?php
! 		if ( $sample_permalink_html && 'auto-draft' != $post->post_status )
  			echo $sample_permalink_html;
  	?>
  	</div>
--- 369,380 ----
  if ( !empty($shortlink) )
      $sample_permalink_html .= '<input id="shortlink" type="hidden" value="' . esc_attr($shortlink) . '" /><a href="#" class="button button-small" onclick="prompt(&#39;URL:&#39;, jQuery(\'#shortlink\').val()); return false;">' . __('Get Shortlink') . '</a>';
  
! if ( $post_type_object->public && ! ( 'pending' == get_post_status( $post ) && !current_user_can( $post_type_object->cap->publish_posts ) ) ) {
! 	$has_sample_permalink = $sample_permalink_html && 'auto-draft' != $post->post_status;
! ?>
  	<div id="edit-slug-box" class="hide-if-no-js">
  	<?php
! 		if ( $has_sample_permalink )
  			echo $sample_permalink_html;
  	?>
  	</div>
***************
*** 358,367 ****
  
  if ( post_type_supports($post_type, 'editor') ) {
  ?>
! <div id="postdivrich" class="postarea">
! 
! <?php wp_editor($post->post_content, 'content', array('dfw' => true, 'tabfocus_elements' => 'sample-permalink,post-preview', 'editor_height' => 360) ); ?>
  
  <table id="post-status-info" cellspacing="0"><tbody><tr>
  	<td id="wp-word-count"><?php printf( __( 'Word count: %s' ), '<span class="word-count">0</span>' ); ?></td>
  	<td class="autosave-info">
--- 393,405 ----
  
  if ( post_type_supports($post_type, 'editor') ) {
  ?>
! <div id="postdivrich" class="postarea edit-form-section">
  
+ <?php wp_editor( $post->post_content, 'content', array(
+ 	'dfw' => true,
+ 	'tabfocus_elements' => 'insert-media-button,save-post',
+ 	'editor_height' => 360,
+ ) ); ?>
  <table id="post-status-info" cellspacing="0"><tbody><tr>
  	<td id="wp-word-count"><?php printf( __( 'Word count: %s' ), '<span class="word-count">0</span>' ); ?></td>
  	<td class="autosave-info">
***************
*** 381,389 ****
  </tr></tbody></table>
  
  </div>
! <?php } ?>
  
! <?php do_action( 'edit_form_after_editor', $post ); ?>
  </div><!-- /post-body-content -->
  
  <div id="postbox-container-1" class="postbox-container">
--- 419,428 ----
  </tr></tbody></table>
  
  </div>
! <?php }
  
! do_action( 'edit_form_after_editor', $post );
! ?>
  </div><!-- /post-body-content -->
  
  <div id="postbox-container-1" class="postbox-container">
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-form-comment.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-form-comment.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-form-comment.php	2012-07-23 19:15:15.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-form-comment.php	2013-04-22 15:17:25.000000000 -0500
***************
*** 23,29 ****
  <input type="hidden" name="comment_post_ID" value="<?php echo esc_attr( $comment->comment_post_ID ); ?>" />
  
  <div id="post-body" class="metabox-holder columns-2">
! <div id="post-body-content">
  <div id="namediv" class="stuffbox">
  <h3><label for="name"><?php _e( 'Author' ) ?></label></h3>
  <div class="inside">
--- 23,29 ----
  <input type="hidden" name="comment_post_ID" value="<?php echo esc_attr( $comment->comment_post_ID ); ?>" />
  
  <div id="post-body" class="metabox-holder columns-2">
! <div id="post-body-content" class="edit-form-section">
  <div id="namediv" class="stuffbox">
  <h3><label for="name"><?php _e( 'Author' ) ?></label></h3>
  <div class="inside">
***************
*** 63,69 ****
  
  <div id="postdiv" class="postarea">
  <?php
! 	$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,spell,close' );
  	wp_editor( $comment->comment_content, 'content', array( 'media_buttons' => false, 'tinymce' => false, 'quicktags' => $quicktags_settings ) );
  	wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false ); ?>
  </div>
--- 63,69 ----
  
  <div id="postdiv" class="postarea">
  <?php
! 	$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,close' );
  	wp_editor( $comment->comment_content, 'content', array( 'media_buttons' => false, 'tinymce' => false, 'quicktags' => $quicktags_settings ) );
  	wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false ); ?>
  </div>
***************
*** 132,138 ****
  
  <input type="hidden" name="c" value="<?php echo esc_attr($comment->comment_ID) ?>" />
  <input type="hidden" name="p" value="<?php echo esc_attr($comment->comment_post_ID) ?>" />
! <input name="referredby" type="hidden" id="referredby" value="<?php echo esc_url(stripslashes(wp_get_referer())); ?>" />
  <?php wp_original_referer_field(true, 'previous'); ?>
  <input type="hidden" name="noredir" value="1" />
  
--- 132,138 ----
  
  <input type="hidden" name="c" value="<?php echo esc_attr($comment->comment_ID) ?>" />
  <input type="hidden" name="p" value="<?php echo esc_attr($comment->comment_post_ID) ?>" />
! <input name="referredby" type="hidden" id="referredby" value="<?php echo esc_url( wp_get_referer() ); ?>" />
  <?php wp_original_referer_field(true, 'previous'); ?>
  <input type="hidden" name="noredir" value="1" />
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-link-form.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-link-form.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-link-form.php	2012-07-23 19:15:15.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-link-form.php	2013-04-06 15:47:12.000000000 -0500
***************
*** 126,132 ****
  if ( $link_id ) : ?>
  <input type="hidden" name="action" value="save" />
  <input type="hidden" name="link_id" value="<?php echo (int) $link_id; ?>" />
- <input type="hidden" name="order_by" value="<?php echo esc_attr($order_by); ?>" />
  <input type="hidden" name="cat_id" value="<?php echo (int) $cat_id ?>" />
  <?php else: ?>
  <input type="hidden" name="action" value="add" />
--- 126,131 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit.php	2012-10-24 17:15:43.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit.php	2013-07-08 15:05:42.000000000 -0500
***************
*** 48,54 ****
  if ( $doaction ) {
  	check_admin_referer('bulk-posts');
  
! 	$sendback = remove_query_arg( array('trashed', 'untrashed', 'deleted', 'ids'), wp_get_referer() );
  	if ( ! $sendback )
  		$sendback = admin_url( $parent_file );
  	$sendback = add_query_arg( 'paged', $pagenum, $sendback );
--- 48,54 ----
  if ( $doaction ) {
  	check_admin_referer('bulk-posts');
  
! 	$sendback = remove_query_arg( array('trashed', 'untrashed', 'deleted', 'locked', 'ids'), wp_get_referer() );
  	if ( ! $sendback )
  		$sendback = admin_url( $parent_file );
  	$sendback = add_query_arg( 'paged', $pagenum, $sendback );
***************
*** 75,96 ****
  
  	switch ( $doaction ) {
  		case 'trash':
! 			$trashed = 0;
  			foreach( (array) $post_ids as $post_id ) {
! 				if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  					wp_die( __('You are not allowed to move this item to the Trash.') );
  
  				if ( !wp_trash_post($post_id) )
  					wp_die( __('Error in moving to Trash.') );
  
  				$trashed++;
  			}
! 			$sendback = add_query_arg( array('trashed' => $trashed, 'ids' => join(',', $post_ids) ), $sendback );
  			break;
  		case 'untrash':
  			$untrashed = 0;
  			foreach( (array) $post_ids as $post_id ) {
! 				if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  					wp_die( __('You are not allowed to restore this item from the Trash.') );
  
  				if ( !wp_untrash_post($post_id) )
--- 75,103 ----
  
  	switch ( $doaction ) {
  		case 'trash':
! 			$trashed = $locked = 0;
! 
  			foreach( (array) $post_ids as $post_id ) {
! 				if ( !current_user_can( 'delete_post', $post_id) )
  					wp_die( __('You are not allowed to move this item to the Trash.') );
  
+ 				if ( wp_check_post_lock( $post_id ) ) {
+ 					$locked++;
+ 					continue;
+ 				}
+ 
  				if ( !wp_trash_post($post_id) )
  					wp_die( __('Error in moving to Trash.') );
  
  				$trashed++;
  			}
! 
! 			$sendback = add_query_arg( array('trashed' => $trashed, 'ids' => join(',', $post_ids), 'locked' => $locked ), $sendback );
  			break;
  		case 'untrash':
  			$untrashed = 0;
  			foreach( (array) $post_ids as $post_id ) {
! 				if ( !current_user_can( 'delete_post', $post_id) )
  					wp_die( __('You are not allowed to restore this item from the Trash.') );
  
  				if ( !wp_untrash_post($post_id) )
***************
*** 105,119 ****
  			foreach( (array) $post_ids as $post_id ) {
  				$post_del = get_post($post_id);
  
! 				if ( !current_user_can($post_type_object->cap->delete_post, $post_id) )
  					wp_die( __('You are not allowed to delete this item.') );
  
  				if ( $post_del->post_type == 'attachment' ) {
  					if ( ! wp_delete_attachment($post_id) )
! 						wp_die( __('Error in deleting...') );
  				} else {
  					if ( !wp_delete_post($post_id) )
! 						wp_die( __('Error in deleting...') );
  				}
  				$deleted++;
  			}
--- 112,126 ----
  			foreach( (array) $post_ids as $post_id ) {
  				$post_del = get_post($post_id);
  
! 				if ( !current_user_can( 'delete_post', $post_id ) )
  					wp_die( __('You are not allowed to delete this item.') );
  
  				if ( $post_del->post_type == 'attachment' ) {
  					if ( ! wp_delete_attachment($post_id) )
! 						wp_die( __('Error in deleting.') );
  				} else {
  					if ( !wp_delete_post($post_id) )
! 						wp_die( __('Error in deleting.') );
  				}
  				$deleted++;
  			}
***************
*** 138,144 ****
  	wp_redirect($sendback);
  	exit();
  } elseif ( ! empty($_REQUEST['_wp_http_referer']) ) {
! 	 wp_redirect( remove_query_arg( array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI']) ) );
  	 exit;
  }
  
--- 145,151 ----
  	wp_redirect($sendback);
  	exit();
  } elseif ( ! empty($_REQUEST['_wp_http_referer']) ) {
! 	 wp_redirect( remove_query_arg( array('_wp_http_referer', '_wpnonce'), wp_unslash($_SERVER['REQUEST_URI']) ) );
  	 exit;
  }
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-tags.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-tags.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-tags.php	2012-11-22 02:45:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/edit-tags.php	2013-03-01 11:00:25.000000000 -0600
***************
*** 164,170 ****
  
  default:
  if ( ! empty($_REQUEST['_wp_http_referer']) ) {
! 	$location = remove_query_arg( array('_wp_http_referer', '_wpnonce'), stripslashes($_SERVER['REQUEST_URI']) );
  
  	if ( ! empty( $_REQUEST['paged'] ) )
  		$location = add_query_arg( 'paged', (int) $_REQUEST['paged'] );
--- 164,170 ----
  
  default:
  if ( ! empty($_REQUEST['_wp_http_referer']) ) {
! 	$location = remove_query_arg( array('_wp_http_referer', '_wpnonce'), wp_unslash($_SERVER['REQUEST_URI']) );
  
  	if ( ! empty( $_REQUEST['paged'] ) )
  		$location = add_query_arg( 'paged', (int) $_REQUEST['paged'] );
***************
*** 265,271 ****
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title );
  if ( !empty($_REQUEST['s']) )
! 	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', esc_html( stripslashes($_REQUEST['s']) ) ); ?>
  </h2>
  
  <?php if ( isset($_REQUEST['message']) && ( $msg = (int) $_REQUEST['message'] ) ) : ?>
--- 265,271 ----
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title );
  if ( !empty($_REQUEST['s']) )
! 	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', esc_html( wp_unslash($_REQUEST['s']) ) ); ?>
  </h2>
  
  <?php if ( isset($_REQUEST['message']) && ( $msg = (int) $_REQUEST['message'] ) ) : ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/freedoms.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/freedoms.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/freedoms.php	2012-11-28 15:00:09.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/freedoms.php	2013-07-31 01:05:34.000000000 -0500
***************
*** 19,25 ****
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! WordPress %s is more polished and enjoyable than ever before. We hope you like it.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
--- 19,25 ----
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version. WordPress %s makes your writing experience even better.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
***************
*** 46,53 ****
  
  <p><?php
  
! $plugins_url = current_user_can( 'activate_plugins' ) ? admin_url( 'plugins.php' ) : 'http://wordpress.org/extend/plugins/';
! $themes_url = current_user_can( 'switch_themes' ) ? admin_url( 'themes.php' ) : 'http://wordpress.org/extend/themes/';
  
  printf( __( 'Every plugin and theme in WordPress.org&#8217;s directory is 100%% GPL or a similarly free and compatible license, so you can feel safe finding <a href="%1$s">plugins</a> and <a href="%2$s">themes</a> there. If you get a plugin or theme from another source, make sure to <a href="%3$s">ask them if it&#8217;s GPL</a> first. If they don&#8217;t respect the WordPress license, we don&#8217;t recommend them.' ), $plugins_url, $themes_url, 'http://wordpress.org/about/license/' ); ?></p>
  
--- 46,53 ----
  
  <p><?php
  
! $plugins_url = current_user_can( 'activate_plugins' ) ? admin_url( 'plugins.php' ) : 'http://wordpress.org/plugins/';
! $themes_url = current_user_can( 'switch_themes' ) ? admin_url( 'themes.php' ) : 'http://wordpress.org/themes/';
  
  printf( __( 'Every plugin and theme in WordPress.org&#8217;s directory is 100%% GPL or a similarly free and compatible license, so you can feel safe finding <a href="%1$s">plugins</a> and <a href="%2$s">themes</a> there. If you get a plugin or theme from another source, make sure to <a href="%3$s">ask them if it&#8217;s GPL</a> first. If they don&#8217;t respect the WordPress license, we don&#8217;t recommend them.' ), $plugins_url, $themes_url, 'http://wordpress.org/about/license/' ); ?></p>
  
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/arrows-pr-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/arrows-pr-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/arrows-pr.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/arrows-pr.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/lock-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/lock-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/lock.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/lock.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/post-formats32.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/post-formats32.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/post-formats32-vs.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/post-formats32-vs.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/post-formats.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/post-formats.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/post-formats-vs.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/post-formats-vs.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/screenshots/about-color-picker.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/screenshots/about-color-picker.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/screenshots/about-media.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/screenshots/about-media.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/screenshots/about-retina.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/screenshots/about-retina.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/images/screenshots/about-twenty-twelve.png and /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/images/screenshots/about-twenty-twelve.png differ
